PDA

Visualizza la versione completa : modem alice speed access USB con ubuntu kernel 2.6.24 ??


sarella
28-10-2008, 09:51
ciao!
premetto che capisco molto poco di computer!
ho appena fatto la partizione del mio computer ke prima aveva s.o. windows e adesso ho messo anke linux ubuntu (kernel 2.6.24-19 generic ..almeno.. c'è scritto così quando si accende!)
siccome ho un modem alice speed access USB e al momento linux non me lo riconosce volevo provare a farlo andare prima di buttarlo via direttamente.
ho intuito ke la cosa potrebbe essere complicata..cmq vi dico cosa ho fatto e dove mi sono fermata.
ho trovato una guida in rete http://linux.p2pforum.it/wiki/Installazione driver Bewan ho scaricato Drivers for the BeWAN ADSL PCI & USB (dal sito http://www.hwsetup.it/periferiche/connessioni/adsl/drivers/index.php?hws_id=178 xk quello che dice lì non si apre..) e sono arrivata fino a quando dice
e compilare i driver con il comando

# make && make install

a questo punto mi escono una sfilza di righe d'errore.. credo che sia perchè il driver che ho scaricato è testato per kernel 2.4.x mentre il mio è 2.6..
se volete posso anke copiarvi tutte le righe d'errore che mi da ma secondo me il problema è quello..
ora..vorrei sapere.. da qualche parte posso trovare un driver piu recente ke vada bene col mio kernel o si puo modificare il driver che ho trovato? (non so se sto dicendo delle cavolate xk non me ne intendo!)
altrimenti avete qualche altro suggerimento su come posso fare, a parte buttare il modem e prenderne uno piu furbo??
grazie mille!!

sacarde
28-10-2008, 12:05
ma e' questo?

http://wiki.ubuntu-it.org/Hardware/Modem/Adsl/FastrateUsb100

sarella
28-10-2008, 14:15
ciao, la guida ke ho seguito è quella linkata..cmq almeno l'inizio è molto simile..anke nel link che hai messo tu comunque non si apre la pagina per scaricare i drivers. io li ho cercati da google e l'ho trovato nell'altro link che ho messo. però ci dev'essere un problema di compatibilità col kernel credo xk non compila quando scrivo make && make install... sapete aiutarmi??grazie :ciauz:

sacarde
28-10-2008, 16:36
hai seguito dal mio link la sezione: Preparativi

e poi: Compilazione e installazione dei driver


non c'e' nessun make install

sarella
28-10-2008, 18:27
va bene faccio con la tua guida:
ho scritto:
sudo apt-get install linux-headers-$(uname -r) build-essential

output:
sudo...
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso
Reading state information... Fatto
linux-headers-2.6.24-19-generic è già alla versione più recente.
linux-headers-2.6.24-19-generic set to manually installed.
Il pacchetto build-essential non ha versioni disponibili, ma è nominato da un altro
pacchetto. Questo significa che il pacchetto manca, è diventato obsoleto
o è disponibile solo all'interno di un'altra sorgente
E: Il pacchetto build-essential non ha candidati da installare


non so se va bene questo output..non me ne intendo.
cmq poi la tua guida dice cliccare qui e non funziona il link... :nonono:
che faccio??

sacarde
28-10-2008, 21:31
hai ragione..


sto' cercando una guida piu recente......... ma niente da fare

sacarde
28-10-2008, 22:52
ho trovato il pacchetto binario:

http://ftp.linux.it/ubuntu/pool/multiverse/u/unicorn/unicorn_0.9.3-2_i386.deb

francofait
28-10-2008, 23:25
apt-get update
apt-get install built-essential

il pacchetto è regolarmente presente, e disponibile senza problemi nella sua versione corrente.

se non esegui l' upgrade ti restituisce errore per forza , è cambiata sia la versione del kernel che del pacchetto essential di conseguenza. Il kernel ultimo attuale in hardy e derivate è 2.6.24-22

sacarde
29-10-2008, 09:50
mi pare che comunque per il driver occorra compilare:

http://ftp.linux.it/ubuntu/pool/multiverse/u/unicorn/unicorn-source_0.9.3-2_all.deb

sarella
29-10-2008, 09:57
vi ringrazio..però continuo a non capirci molto..

@ sacarde cosa faccio col pacchetto binario? sono molto ignorante in materia!!

@ francofait non capisco cosa vuol dire quello che scrivi (causa sempre profonda ignoranza in materia) ....

aiutoo...
:ciauz:

Loading